Package sop.exception

# Class SOPGPException.UnsupportedAsymmetricAlgo

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
sop.exception.SOPGPException
sop.exception.SOPGPException.UnsupportedAsymmetricAlgo

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  SOPGPException

public static class SOPGPException.UnsupportedAsymmetricAlgo extends SOPGPException
Asymmetric algorithm unsupported (sop encrypt, sign, inline-sign).

See Also:
  - Serialized Form

## Nested Class Summary

## Nested classes/interfaces inherited from class sop.exception.SOPGPException

`SOPGPException.AmbiguousInput, SOPGPException.BadData, SOPGPException.CannotDecrypt, SOPGPException.CertCannotEncrypt, SOPGPException.ExpectedText, SOPGPException.IncompatibleOptions, SOPGPException.IncompleteVerification, SOPGPException.KeyCannotSign, SOPGPException.KeyIsProtected, SOPGPException.MissingArg, SOPGPException.MissingInput, SOPGPException.NoSignature, SOPGPException.OutputExists, SOPGPException.PasswordNotHumanReadable, SOPGPException.UnsupportedAsymmetricAlgo, SOPGPException.UnsupportedOption, SOPGPException.UnsupportedProfile, SOPGPException.UnsupportedSpecialPrefix, SOPGPException.UnsupportedSubcommand`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`EXIT_CODE`

## Constructor Summary

Constructors
Constructor
Description
`UnsupportedAsymmetricAlgo(String message, Throwable e)`

## Method Summary

Modifier and Type
Method
Description
`int`
`getExitCode()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### EXIT_CODE

public static final int EXIT_CODE

See Also:
  - Constant Field Values

## Constructor Details

### UnsupportedAsymmetricAlgo

public UnsupportedAsymmetricAlgo(String message, Throwable e)

## Method Details

### getExitCode

public int getExitCode()

Specified by:
  `getExitCode` in class `SOPGPException`